.containerBrowsePage{
  display: inline-block;
  padding-bottom: 20px;
  padding-top: 15px;
  display: flex;
  margin-left: 25px;
}
#browseTable{
  width:100%;
}
.sidenav{
  height: 100%;
  width: 150px;
  position: absolute;
  top:0;
  left:0;
  border-right: 1px solid #e3e3e3;
  overflow-x: hidden;
  padding-top: 10px;
  background-color: #D3D3D3;
}
.sidenav p{
  margin-bottom: 0px;
  padding-left: 10px;
  font-size: 20px;
  display: block;
  color:#000;
}

.sidenav a {
  padding-left: 20px;
  padding-top: 5px;
  text-decoration: none;
  font-size: 18px;
  display: block;
  color: grey;
  transition: .5s;
  -webkit-transition: .5s;
  -moz-transition: .5s;
  -ms-transition: .5s;
}
.sidenav a:hover {
  color: #f58d42;
  text-decoration: none;
}
#numOfBooksInGenre{
    font-size:12px;
}
#centerErrorDiv{
 text-align: center;
 font-size: 20px;
 font-weight: bold;
}

.browsebook{
  width: 100%;
  border-bottom: 1px solid #e3e3e3
}
.bookcover{
  margin-left: 150px;
  padding-left: 15px;
  width:2%;
}
.bookinfo{
  width: 45%;
  margin-left: 100px;
}
.boxArrows{
  width: 100px;
  height: 75px;
  margin-right: 1450px;
  margin-top: 100px;
  transition: all 1s ease-in-out;
  -webkit-transition: all 1s ease-in-out;
  -moz-transition: all 1s ease-in-out;
  -ms-transition: all 1s ease-in-out;
}
.boxArrows:hover{
  cursor: pointer;
}

.aBookTitle{
   font-size: 25px;
   color: #000;
   font-weight: bold;
   transition: all .3s ease-in;
  -webkit-transition: all .3s ease-in;
  -moz-transition: all .3s ease-in;
  -ms-transition: all .3s ease-in;
}
.aBookTitle:hover{
  cursor: pointer;
  color:#f58d42;
  text-decoration: none;
}
.aBookTitle:focus{
  color:#f58d42;
  text-decoration: none;
}
.numberseller{
  font-size: 10px;
  font-weight: bold;
  color: red;
}
.bookauthor{
  font-size: 12px;
  color:grey;
}
.bookdate{
  font-size: 12px;
  color:grey;
}
.bookprice{
  color: red;
  font-size: 12px;
}
#crossListPrice{
    color:black;
    text-decoration:line-through;
    font-size:20px;
}
.seperator{
  font-size: 12px;
  color: grey;
}
.price{
  font-size: 20px;
  font-weight: bold;
}
.bookdescription{
  width: 400px;
  overflow: hidden;
  height: 0px;
  transition: all 1s ease-in;
  -webkit-transition: all 1s ease-in;
  -moz-transition: all 1s ease-in;
  -ms-transition: all 1s ease-in;
}

/*dedicated to read more*/
.boxArrows span{
  display: block;
  width: 20px;
  height: 20px;
  border-bottom: 1px solid #000;
  border-right: 1px solid #000;
  transform: rotate(45deg);
  margin: -10px;
  animation: animateforward 2s infinite;
  -webkit-animation: animateforward 2s infinite;
  -moz-animation: animateforward 2s infinite;
  -ms-animation: animateforward 2s inifinite;
}
.boxArrows:hover span{
    border-bottom: 1px solid #f58d42;
  border-right: 1px solid #f58d42;
}
@keyframes animateforward {
  0%{opacity:0; transform: rotate(45deg) translate(-20px,-20px);}
  50%{opacity:1;}
  100%{opacity:0; transform: rotate(45deg) translate(20px,20px);}
}
@-webkit-keyframes animateforward {
  0%{opacity:0; -webkit-transform: rotate(45deg) translate(-20px,-20px);}
  50%{opacity:1;}
  100%{opacity:0; -webkit-transform: rotate(45deg) translate(20px,20px);}
}
@-moz-keyframes animateforward {
  0%{opacity:0; -moz-transform: rotate(45deg) translate(-20px,-20px);}
  50%{opacity:1;}
  100%{opacity:0; -moz-transform: rotate(45deg) translate(20px,20px);}
}
@-ms-keyframes animateforward {
  0%{opacity:0; -ms-transform: rotate(45deg) translate(-20px,-20px);}
  50%{opacity:1;}
  100%{opacity:0; -ms-transform: rotate(45deg) translate(20px,20px);}
}

@keyframes animatereverse{
  0%{opacity:0; transform: rotate(-135deg) translate(-40px,-40px);}
  50%{opacity:1;}
  100%{opacity:0; transform: rotate(-135deg) translate(-20px,-20px);}
}
@-webkit-keyframes animatereverse{
  0%{opacity:0; -webkit-transform: rotate(-135deg) translate(-40px,-40px);}
  50%{opacity:1;}
  100%{opacity:0; -webkit-transform: rotate(-135deg) translate(-20px,-20px);}
}
@-moz-keyframes animatereverse{
  0%{opacity:0; -moz-transform: rotate(-135deg) translate(-40px,-40px);}
  50%{opacity:1;}
  100%{opacity:0; -moz-transform: rotate(-135deg) translate(-20px,-20px);}
}
@-ms-keyframes animatereverse{
  0%{opacity:0; -ms-transform: rotate(-135deg) translate(-40px,-40px);}
  50%{opacity:1;}
  100%{opacity:0; -ms-transform: rotate(-135deg) translate(-20px,-20px);}
}

/*Reserved for browsebygenre page*/
.bookSeller{
    font-weight: bold;
    color: red;
}
@media (max-width: 800px){
    #centerErrorDiv{
        margin-left:110px;
        margin-right:5px;
        font-size:15px;   
    } 
    .aBookTitle{
        font-size: 20px;
    }
}

@media (max-width: 650px){
    .sidenav{
       width: 100px;
    }
    .sidenav p{
        padding-left:5px;
        font-size:15px;
    }
    .sidenav a{
        padding-left:10px;
        font-size:12px;
    }
    #numOfBooksInGenre{
       font-size:10px;
    }
    .bookcover{
        margin-left: 75px;
        padding-left: 10px;
    } 
    .aBookTitle{
        font-size: 15px;
    }
    .bookauthor{
       font-size: 10px;
    }
    .bookprice{
       font-size: 10px;
    }
    #crossListPrice{
        font-size:15px;
    }
    .price{
        font-size: 15px;
    }
    .bookdescription{
       width: 200px;
       font-size:12px;
    }
    .boxArrows span{
       width: 18px;
       height: 18px;
    }
}

@media (max-width: 499px){
    .sidenav{
       width: 70px;
    }
    .sidenav p{
        padding-left:3px;
        font-size:12px;
    }
    .sidenav a{
        padding-left:5px;
        font-size:10px;
    }
    .boxArrows span{
       width: 16px;
       height: 16px;
    }
    .bookcover{
        margin-left: 40px;
    } 
    .aBookTitle{
        font-size: 13px;
    }
    .bookauthor{
       font-size: 9px;
    }
    .bookprice{
       font-size: 9px;
    }
    #crossListPrice{
        font-size:12px;
    }
    .price{
        font-size: 12px;
    }
    .bookdescription{
       width: 150px;
       font-size:10px;
    }
    .bookSeller{
        font-size:13px;
    }
}

@media (max-width: 320px){
    .sidenav{
       width: 60px;
    }
    .sidenav p{
        font-size:10px;
    }
    .sidenav a{
        font-size:9px;
    }
    .boxArrows span{
       width: 15px;
       height: 16px;
    }
    .bookcover{
        margin-left: 25px;
    } 
    .bookdescription{
       width: 125px;
    }
}